summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Jefferson Rocha2018-10-21 00:05:22 +0200
committer Willy Sudiarto Raharjo2018-10-21 00:21:00 +0200
commitddbc987971564f7f9f1e9a5f833a0329050cd9cb (patch)
tree8abf4ab3492113109f2d54b253f275cc4db9e68d /system
parent4dbdf4bb2b71c162e9b31bf5a00bfb28fd9d00ed (diff)
downloadslackbuilds-ddbc987971564f7f9f1e9a5f833a0329050cd9cb.tar.gz
system/tagtools: Added (tagfile separate in Slackware Linux).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/tagtools/README23
-rw-r--r--system/tagtools/slack-desc19
-rw-r--r--system/tagtools/tagtools.SlackBuild62
-rw-r--r--system/tagtools/tagtools.info10
4 files changed, 114 insertions, 0 deletions
diff --git a/system/tagtools/README b/system/tagtools/README
new file mode 100644
index 0000000000..97e4252b45
--- /dev/null
+++ b/system/tagtools/README
@@ -0,0 +1,23 @@
+tagtools (Simple Separate tagfiles for Slackware)
+
+tagtools is a tool that automates the separation of tagfile in Slackware
+Linux.
+Basically it downloads from the official slackware mirror of each
+series its respective tagfile.
+
+What is Tagfile?
+The tagfile is used in the Slackware installation script, and you
+can create a custom install through the tagpath option in the Slackware
+installer with these tagfiles. Options found in the tagfile:
+
+REC, OPT, ADD, SKP
+REC: Recommended
+OPT: Optional
+ADD: Add
+SKP: Jump
+
+Mode of Use
+The first thing that needs to be done is to set the variable 'setlink'
+which will be the mirror used. Note that in front of each mirror there
+is the numbering [0] [1] [2] etc ... After choosing the required version
+mirror you need to just set the 'setlink' number. Simple and FAST.
diff --git a/system/tagtools/slack-desc b/system/tagtools/slack-desc
new file mode 100644
index 0000000000..cdb89bded7
--- /dev/null
+++ b/system/tagtools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tagtools: tagtools (tagfile separate in Slackware Linux)
+tagtools:
+tagtools: tagtools is a tool that automates the separation of tagfile in
+tagtools: Slackware, Basically it downloads from the official Slackware mirror
+tagtools: of each series, their respective tagfile.
+tagtools:
+tagtools:
+tagtools:
+tagtools: https://notabug.org/jeffersonrocha/tagtools
+tagtools:
+tagtools:
diff --git a/system/tagtools/tagtools.SlackBuild b/system/tagtools/tagtools.SlackBuild
new file mode 100644
index 0000000000..c7ed4d3386
--- /dev/null
+++ b/system/tagtools/tagtools.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for tagtools
+# Copyright 2018 Jefferson Rocha 'slackjeff' <lrcjefferson@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tagtools
+VERSION=${VERSION:-v1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM.tar.xz
+chmod -R +x ${PRGNAM}
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p "$PKG/usr/bin"
+cp "$PRGNAM" "$PKG/usr/bin"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/tagtools/tagtools.info b/system/tagtools/tagtools.info
new file mode 100644
index 0000000000..8e23eed2b0
--- /dev/null
+++ b/system/tagtools/tagtools.info
@@ -0,0 +1,10 @@
+PRGNAM="tagtools"
+VERSION="1.0"
+HOMEPAGE="https://notabug.org/jeffersonrocha/tagtools"
+DOWNLOAD="https://notabug.org/jeffersonrocha/tagtools/raw/master/tagtools.tar.xz"
+MD5SUM="d56b71d973b6b764d5f69187d55f1fc6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Jefferson Rocha"
+EMAIL="lrcjefferson@gmail.com"